Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks.testing
[Java] Interface TestListener

    public interface TestListener

Interface for listening to test execution. The intent is to be framework agnostic. Currently this interface can support feedback from JUnit and TestNG tests.

Method Summary
`void` | `afterSuite(TestDescriptor suite, TestResult result)` Called after a test suite is finished.
`void` | `afterTest(TestDescriptor testDescriptor, TestResult result)` Called after a test is finished.
`void` | `beforeSuite(TestDescriptor suite)` Called before a test suite is started.
`void` | `beforeTest(TestDescriptor testDescriptor)` Called before a test is started.

Method Detail

### afterSuite

    public void afterSuite(TestDescriptor suite, TestResult result)

  Called after a test suite is finished.
  Parameters:
    `suite` - The suite whose tests have finished being executed.
    `result` - The aggregate result for the suite.

### afterTest

    public void afterTest(TestDescriptor testDescriptor, TestResult result)

  Called after a test is finished.
  Parameters:
    `testDescriptor` - The test which has finished executing.
    `result` - The test result.

### beforeSuite

    public void beforeSuite(TestDescriptor suite)

  Called before a test suite is started.
  Parameters:
    `suite` - The suite whose tests are about to be executed.

### beforeTest

    public void beforeTest(TestDescriptor testDescriptor)

  Called before a test is started.
  Parameters:
    `testDescriptor` - The test which is about to be executed.

Gradle API 1.1-rc-1